uuid: 2d30c44e-3974-43d9-8e97-9bc59cbd3d47
langcode: en
status: true
dependencies: {  }
id: upgrade_d6_comment_field_instance
migration_tags:
  - 'Drupal 6'
migration_group: migrate_drupal_6
label: 'Comment field instance configuration'
source:
  plugin: d6_comment_variable
  constants:
    entity_type: node
    label: Comments
    required: true
process:
  entity_type: constants/entity_type
  label: constants/label
  required: constants/required
  field_name:
    plugin: static_map
    source: comment_subject_field
    default_value: comment
    map:
      - comment_no_subject
  bundle: node_type
  default_value/0/status: comment
  settings/default_mode:
    plugin: static_map
    source: comment_default_mode
    map:
      1: 0
      2: 0
      3: 1
      4: 1
  settings/per_page: comment_default_per_page
  settings/anonymous: comment_anonymous
  settings/form_location: comment_form_location
  settings/preview: comment_preview
destination:
  plugin: 'entity:field_config'
migration_dependencies:
  required:
    - upgrade_d6_comment_field
    - upgrade_d6_node_type
  optional: {  }
